Bug 149694 - Amarok pauses for several secons on track change
Amarok pauses for several secons on track change
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-02-25 08:01 EST by Ralf Ertzinger
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-08 15:14:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2005-02-25 08:01:02 EST
Description of problem:
When changing the current track (manually or by advancing the playlist), amarok
pauses for several seconds, eating 100% CPU in the process.
Happens with OGG and MP3 tracks. The last few seconds of the previous track and
the first seconds of the new track are being cut off.

Output plugin is gstreamer.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Populate playlist
2. Wait until track change or change track manually
Actual results:
amarok pauses for several seconds, eating 100% CPU

Expected results:
Smooth track change

Additional info:
Comment 1 Aurelien Bompard 2005-02-25 09:54:27 EST
I'd say it's either a bug in amarok's crossfading, or in gstreamer. Can you
please try to disable crossfading, and see if the bug is still there ? And then,
can you choose another engine (xine for example), with crossfading enabled, and
see if the bug is still there ?
Comment 2 Ralf Ertzinger 2005-02-25 10:04:14 EST
Still happens with crossfade disabled. Fade in/out is set to 0 msec, also.

gstreamer is the only engine presented to me by amarok although I have xine
installed (from freshrpms).
Comment 3 Aurelien Bompard 2005-02-25 10:10:44 EST
Yes, the xine plugin cannot be distributed with Fedora, because xine depends on
patented software. You need the amarok-xine package to get support for the xine
engine. You can activate it by rebuilding the amarok srpm with the --with xine
switch, or you can tell me which version of Fedora you use, and I'll send it to you.
Comment 4 Ralf Ertzinger 2005-02-25 11:01:25 EST
I am running FC devel.
Comment 5 Aurelien Bompard 2005-02-25 11:09:02 EST
OK, you'll have to rebuild the amarok srpm then.
rpmbuild --rebuild --with xine amarok-*.src.rpm
should do it. Then, please install the amarok-xine rpm and test with this engine.
Or you could try the arts engine if you are running KDE.
Comment 6 Ralf Ertzinger 2005-02-28 12:09:09 EST
Rebuild done, the effect does not occur with the xine-engine, so this seems to
be a gstreamer thing. Any hints how to construct a gstreamer pipe to recreate
the effect on the command line?
Comment 7 Aurelien Bompard 2005-03-05 05:41:47 EST
I know gstreamer very little, sorry. But if you find the right pipe, I'd be
happy to know :)
Comment 8 Tim Püschel 2005-03-08 07:35:02 EST
Have you checked out the "With GStreamer-engine I'm getting 100% CPU usage while
playing. How can I fix it?" part in the FAQ of the handbook?

Comment 9 Ralf Ertzinger 2005-03-08 07:57:26 EST
My default sound device is aliased to dmix, bit I will check this again.
Comment 10 Ralf Ertzinger 2005-03-08 15:14:44 EST
OK, removing some gstreamer plugins makes the gstreamer-engine behave. Almost.
However, this is no longer a amarok issue, so I am closing this.

Note You need to log in before you can comment on or make changes to this bug.